QGIS Application - Bug report #7693
Qgis crash when refresh layer
2013-04-24 05:11 AM - Laurentiu Mihai

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WFS

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 16608
Description

| have a problem with QGIS 1.8. When i use the refresh button for WFS layer this QGIS crash. Please help me !

History

#1 - 2013-04-24 05:15 AM - Giovanni Manghi
- Category set to Web Services clients/WFS
- Status changed from Open to Feedback

can you post the URL (and layer name) you are using? Knowing the platform would also help debug the issue.

#2 - 2013-04-24 05:21 AM - Laurentiu Mihai

http://localhost:8080/geoserver/wfs (is a local server) and layer name: DB:ZONA_LACURI

Platform machine Xubuntu ?

#3 - 2013-04-24 05:25 AM - Giovanni Manghi

Laurentiu Mihai wrote:

http://localhost:8080/geoserver/wits (is a local server) and layer name: DB:ZONA _LACURI
Platform machine Xubuntu ?

alocal url is not very useful :)

Try run qgis from the command line and when it crash copy/paste here the error messages.

#4 - 2013-04-24 05:37 AM - Laurentiu Mihai

Xubuntu terminal #: # qgis

Warning: loading of qgis translation failed [/usr/share/qgis/i18n//qgis_en_US]
Warning: loading of gt translation failed [/usr/share/qt4/translations/qt_en_US]
(When i press click to button refresh)

- glibc detected * /usr/bin/qgis.bin: double free or corruption (!prev): 0x0efc75f8 *

2025-04-27

1/4



http://localhost:8080/geoserver/wfs
http://localhost:8080/geoserver/wfs

#5 - 2013-04-24 05:52 AM - Laurentiu Mihai

08048000-085c2000 r-xp 00000000 08:01 667180

085¢2000-085¢3000 r--p 00572000 08:01 667180

085¢3000-085¢7000 rw-p 0057b000 08:01 667180

085¢7000-085¢9000 rw-p 00000000 00:00 0
09e89000-0f738000 rw-p 00000000 00:00 0
a8700000-a8721000 rw-p 00000000 00:00 O
a8721000-a8800000 ---p 00000000 00:00 O
a88ff000-a8900000 ---p 00000000 00:00 0
a8900000-a9100000 rw-p 00000000 00:00 0
a9100000-a91f6000 rw-p 00000000 00:00 0
a91f6000-a9200000 ---p 00000000 00:00 0
a9275000-a92ff000 rw-p 00000000 00:00 0
a92ff000-a9300000 ---p 00000000 00:00 0
a9300000-a9b00000 rw-p 00000000 00:00 0
a9b00000-a9b21000 rw-p 00000000 00:00 0
a9b21000-a9c00000 ---p 00000000 00:00 O

/usr/bin/qgis.bin
/usr/bin/qgis.bin
/usr/bin/qgis.bin

[heap]

[stack:21477]

a9c43000-a9c7b000 rw-s 00000000 00:04 19005456 /SYSV00000000 (deleted)

a9¢7b000-a9¢f7000 r-xp 00000000 08:01 667015
a9cf7000-a9¢f8000 ---p 0007¢000 08:01 667015
a9cf8000-a9¢f9000 r--p 0007¢000 08:01 667015
a9c¢f9000-a9cfa000 rw-p 0007d000 08:01 667015
a9cfa000-a9¢fb000 ---p 00000000 00:00 0
a9c¢fb000-aaa19000 rw-p 00000000 00:00 O

/ust/lib/i386-linux-gnu/libQtDBus.s0.4.8.3
/usr/lib/i386-linux-gnu/libQtDBuUs.s0.4.8.3
/usr/lib/i386-linux-gnu/libQtDBuUs.s0.4.8.3

/usr/lib/i386-linux-gnu/libQtDBus.s0.4.8.3

[stack:21476]

aaa19000-aadc4000 rw-s 00000000 00:04 18907154 /SYSV00000000 (deleted)

aaee2000-aaee5000 r-xp 00000000 08:01 788863
aaee5000-aaee6000 r--p 00002000 08:01 788863

aaee6000-aaee7000 rw-p 00003000 08:01 788863

aaee7000-aaeec000 r-xp 00000000 08:01 788857
aaeec000-aaeed000 r--p 00004000 08:01 788857
aaeed000-aaeef000 rw-p 00005000 08:01 788857
aaeef000-aaf1b000 r-xp 00000000 08:01 795639
aaf1b000-aaf1c000 r--p 0002b000 08:01 795639
aaf1c000-aaf1e000 rw-p 0002c000 08:01 795639
aaf1e000-aaf68000 r-xp 00000000 08:01 795640
aaf68000-aaf69000 r--p 00049000 08:01 795640
aaf69000-aaf6b000 rw-p 00042000 08:01 795640
aaf6b000-aaf70000 r-xp 00000000 08:01 795641
aaf70000-aaf71000 r--p 00004000 08:01 795641
aaf71000-aaf72000 rw-p 00005000 08:01 795641
aaf72000-aafb6000 r-xp 00000000 08:01 795638
aafb6000-aafb7000 r--p 00043000 08:01 795638
aafb7000-aafba000 rw-p 00044000 08:01 795638
aafba000-aafc9000 r-xp 00000000 08:01 788870
aafc9000-aafca000 r--p 0000f000 08:01 788870
aafca000-aafcc000 rw-p 00010000 08:01 788870
aafcc000-aafdf000 r-xp 00000000 08:01 788877
aafdf000-aafe0000 r--p 00012000 08:01 788877
aafe0000-aafe3000 rw-p 00013000 08:01 788877
aafe3000-ab000000 r-xp 00000000 08:01 788865
ab000000-ab001000 r--p 0001c000 08:01 788865
/ust/lib/python2.7/lib-dynload/_hashlib.so
/usr/lib/python2.7/lib-dynload/_hashlib.so
/usr/lib/python2.7/lib-dynload/_hashlib.so
/ustr/lib/python2.7/lib-dynload/_csv.so
/usr/lib/python2.7/lib-dynload/_csv.so
/usr/lib/python2.7/lib-dynload/_csv.so
/usr/lib/python2.7/dist-packages/osgeo/_osr.so
/usr/lib/python2.7/dist-packages/osgeo/_osr.so
/usr/lib/python2.7/dist-packages/osgeo/_osr.so
/usr/lib/python2.7/dist-packages/osgeo/_ogr.so
/usr/lib/python2.7/dist-packages/osgeo/_ogr.so
/usr/lib/python2.7/dist-packages/osgeo/_ogr.so
/usr/lib/python2.7/dist-packages/osgeo/_gdalconst.so
/usr/lib/python2.7/dist-packages/osgeo/_gdalconst.so
/usr/lib/python2.7/dist-packages/osgeo/_gdalconst.so
/usr/lib/python2.7/dist-packages/osgeo/_gdal.so
/ust/lib/python2.7/dist-packages/osgeo/_gdal.so
/usr/lib/python2.7/dist-packages/osgeo/_gdal.so
Jusr/lib/python2.7/lib-dynload/_sqlite3.so
/usr/lib/python2.7/lib-dynload/_sqlite3.so
/ustr/lib/python2.7/lib-dynload/_sqlite3.so
/usr/lib/python2.7/lib-dynload/datetime.so
/usr/lib/python2.7/lib-dynload/datetime.so
/ustr/lib/python2.7/lib-dynload/datetime.so
/usr/lib/python2.7/lib-dynload/_io.so
/usr/lib/python2.7/lib-dynload/_io.so
ab001000-ab009000 rw-p 0001d000 08:01 788865  /usr/lib/python2.7/lib-dynload/_io.so
ab009000-ab06a000 rw-p 00000000 00:00 0

ab06a000-ab214000 r-xp 00000000 08:01 1463830 /usr/lib/python2.7/dist-packages/qgis/gui.so
ab214000-ab215000 ---p 00122000 08:01 1463830 /usr/lib/python2.7/dist-packages/qgis/gui.so
ab215000-ab218000 r--p 001a2a000 08:01 1463830 /usr/lib/python2.7/dist-packages/qgis/gui.so
ab218000-ab23d000 rw-p 001ad000 08:01 1463830 /usr/lib/python2.7/dist-packages/qgis/gui.so
ab23d000-ab27e000 r-xp 00000000 08:01 1463789 /usr/lib/python2.7/dist-packages/PyQt4/QtXml.so
ab27e000-ab27f000 r--p 00040000 08:01 1463789 /usr/lib/python2.7/dist-packages/PyQt4/QtXml.so
ab27f000-ab288000 rw-p 00041000 08:01 1463789 /usr/lib/python2.7/dist-packages/PyQt4/QtXml.so
ab288000-ab318000 r-xp 00000000 08:01 1463781  /usr/lib/python2.7/dist-packages/PyQt4/QtNetwork.so
ab318000-ab319000 r--p 00090000 08:01 1463781  /usr/lib/python2.7/dist-packages/PyQt4/QtNetwork.so
ab319000-ab32d000 rw-p 00091000 08:01 1463781 /usr/lib/python2.7/dist-packages/PyQt4/QtNetwork.so
ab32d000-ab5ea000 r-xp 00000000 08:01 1463831 /usr/lib/python2.7/dist-packages/qgis/core.so
ab5ea000-ab5ee000 r--p 002bc000 08:01 1463831  /usr/lib/python2.7/dist-packages/qgis/core.so
ab5ee000-ab638000 rw-p 002c0000 08:01 1463831  /usr/lib/python2.7/dist-packages/qgis/core.so
ab638000-abc85000 r-xp 00000000 08:01 1463796  /usr/lib/python2.7/dist-packages/PyQt4/QtGui.so
abc85000-abc91000 r--p 0064d000 08:01 1463796  /usr/lib/python2.7/dist-packages/PyQt4/QtGui.so
abc91000-abd4f000 rw-p 00659000 08:01 1463796 /usr/lib/python2.7/dist-packages/PyQt4/QtGui.so
abd4f000-abf47000 r-xp 00000000 08:01 1463790 /usr/lib/python2.7/dist-packages/PyQt4/QtCore.so
abf47000-abf48000 ---p 0018000 08:01 1463790 /usr/lib/python2.7/dist-packages/PyQt4/QtCore.so
abf48000-abf4a000 r--p 0018000 08:01 1463790 /usr/lib/python2.7/dist-packages/PyQt4/QtCore.so
abf4a000-abf8d000 rw-p 001fa000 08:01 1463790 /usr/lib/python2.7/dist-packages/PyQt4/QtCore.so
abf8d000-abfa5000 r-xp 00000000 08:01 795617  /usr/lib/python2.7/dist-packages/sip.so
abfa5000-abfa6000 r--p 00017000 08:01 795617  /ust/lib/python2.7/dist-packages/sip.so
abfa6000-abfa7000 rw-p 00018000 08:01 795617  /usr/lib/python2.7/dist-packages/sip.so
abfa7000-ac20f000 r-xp 00000000 08:01 658333  /ust/lib/libpython2.7.s0.1.0

ac20f000-ac210000 ---p 00268000 08:01 658333  /ust/lib/libpython2.7.s0.1.0

ac210000-ac211000 r--p 00268000 08:01 658333  /usr/lib/libpython2.7.s0.1.0

ac211000-ac267000 rw-p 00269000 08:01 658333  /usr/lib/libpython2.7.s0.1.0

ac267000-ac273000 rw-p 00000000 00:00 O

ac285000-ac290000 r-xp 00000000 08:01 667313  /ust/lib/libggispython.so.1.8.0
ac290000-ac291000 r--p 00002000 08:01 667313  /usr/lib/libggispython.so.1.8.0
ac291000-ac292000 rw-p 0000b000 08:01 667313  /usr/lib/libggispython.so.1.8.0
ac292000-ac2fa000 r-xp 00000000 08:01 1053729 /usr/lib/qgis/plugins/libwmsprovider.so
ac2fa000-ac2fb000 r--p 00067000 08:01 1053729 /usr/lib/qgis/plugins/libwmsprovider.so
ac2fb000-ac2fc000 rw-p 00068000 08:01 1053729 /usr/lib/qgis/plugins/libwmsprovider.so
ac2fc000-ac345000 r-xp 00000000 08:01 1053728 /usr/lib/ggis/plugins/libwfsprovider.so
ac345000-ac346000 r--p 00048000 08:01 1053728 /ustr/lib/qgis/plugins/libwfsprovider.so
ac346000-ac347000 rw-p 00049000 08:01 1053728  /ust/lib/qgis/plugins/libwfsprovider.so
ac347000-ac3b3000 r-xp 00000000 08:01 1053743  /usr/lib/qgis/plugins/libspitplugin.so
ac3b3000-ac3b4000 r--p 0006b000 08:01 1053743  /ust/lib/ggis/plugins/libspitplugin.so
ac3b4000-ac3b5000 rw-p 0006c000 08:01 1053743  /ust/lib/qgis/plugins/libspitplugin.so
ac3b5000-ac3d7000 r-xp 00000000 08:01 1053740 /ust/lib/qgis/plugins/libspatialqueryplugin.so
ac3d7000-ac3d8000 r--p 00021000 08:01 1053740 /usr/lib/qgis/plugins/libspatialqueryplugin.so
ac3d8000-ac3d9000 rw-p 00022000 08:01 1053740 /usr/lib/qgis/plugins/libspatialqueryplugin.so
ac3d9000-ac42b000 r-xp 00000000 08:01 1053723  /usr/lib/qgis/plugins/libspatialiteprovider.so
ac42b000-ac42c000 r--p 00052000 08:01 1053723 /ustr/lib/qgis/plugins/libspatialiteprovider.so
ac42c000-ac42d000 rw-p 00053000 08:01 1053723  /ustr/lib/qgis/plugins/libspatialiteprovider.so
ac42d000-ac43c000 r-xp 00000000 08:01 667311 /usr/lib/libggis_networkanalysis.so.1.8.0
ac43c000-ac43d000 r--p 0000f000 08:01 667311  /usr/lib/libqgis_networkanalysis.so.1.8.0
ac43d000-ac43e000 rw-p 00010000 08:01 667311  /usr/lib/libqgis_networkanalysis.so.1.8.0
ac445000-ac44e000 r-xp 00000000 08:01 1053739 /ust/lib/ggis/plugins/libzonalstatisticsplugin.so
ac44e000-ac44f000 r--p 00009000 08:01 1053739 /usr/lib/ggis/plugins/libzonalstatisticsplugin.so
ac44f000-ac450000 rw-p 00002000 08:01 1053739 /usr/lib/qgis/plugins/libzonalstatisticsplugin.so

ac450000-ac46e000 r-xp 00000000 08:01 1053770

/ust/lib/qgis/plugins/libroadgraphplugin.so

ac46e000-ac46f000 r--p 0001000 08:01 1053770 /usr/lib/qgis/plugins/libroadgraphplugin.so
ac46f000-ac470000 rw-p 0001f000 08:01 1053770 /usr/lib/qgis/plugins/libroadgraphplugin.so

ac470000-ac486000 r-xp 00000000 08:01 1053773
ac486000-ac487000 r--p 00015000 08:01 1053773
ac487000-ac488000 rw-p 00016000 08:01 1053773
ac488000-ac50c000 r-xp 00000000 08:01 1053720
ac50c000-ac50d000 r--p 00084000 08:01 1053720
ac50d000-ac50e000 rw-p 00085000 08:01 1053720
ac50e000-ac533000 r-xp 00000000 08:01 1053724
ac533000-ac534000 r--p 00024000 08:01 1053724
ac534000-ac535000 rw-p 00025000 08:01 1053724
ac535000-ac547000 r-xp 00000000 08:01 1053775
ac547000-ac548000 ---p 00012000 08:01 1053775
ac548000-ac549000 r--p 00012000 08:01 1053775
ac549000-ac54a000 rw-p 00013000 08:01 1053775
ac54a000-ac574000 r-xp 00000000 08:01 1053727
ac574000-ac575000 r--p 00029000 08:01 1053727
ac575000-ac576000 rw-p 0002a000 08:01 1053727
ac576000-ac59b000 r-xp 00000000 08:01 1053766
ac59b000-ac59¢000 r--p 00024000 08:01 1053766
ac59¢000-ac59d000 rw-p 00025000 08:01 1053766

/usr/lib/qgis/plugins/librasterterrainplugin.so
/usr/lib/qgis/plugins/librasterterrainplugin.so
/usr/lib/qgis/plugins/librasterterrainplugin.so
/ust/lib/qgis/plugins/libpostgresprovider.so
/usr/lib/qgis/plugins/libpostgresprovider.so
/usr/lib/qgis/plugins/libpostgresprovider.so
/usr/lib/qgis/plugins/libosmprovider.so
/usr/lib/qgis/plugins/libosmprovider.so
/usr/lib/qgis/plugins/libosmprovider.so
/usr/lib/qgis/plugins/liboracleplugin.so
/usr/lib/qgis/plugins/liboracleplugin.so
/usr/lib/qgis/plugins/liboracleplugin.so
/usr/lib/qgis/plugins/liboracleplugin.so
/ustr/lib/qgis/plugins/libogrprovider.so
/usr/lib/qgis/plugins/libogrprovider.so
/ust/lib/qgis/plugins/libogrprovider.so
/ust/lib/qgis/plugins/libofflineeditingplugin.so
/ustr/lib/qgis/plugins/libofflineeditingplugin.so
/ustr/lib/qgis/plugins/libofflineeditingplugin.so

ac59d000-ac5fc000 r-xp 00000000 08:01 1053719  /usr/lib/qgis/plugins/libmssqlprovider.so
ac5fc000-ac5fd000 ---p 0005000 08:01 1053719  /ustr/lib/ggis/plugins/libmssglprovider.so
ac5fd000-ac5fe000 r--p 0005f000 08:01 1053719  /usr/lib/qgis/plugins/libmssglprovider.so
ac5fe000-ac5ff000 rw-p 00060000 08:01 1053719  /usr/lib/qgis/plugins/libmssglprovider.so
ac5ff000-ac60c000 r-xp 00000000 08:01 1053726 /ust/lib/qgis/plugins/libmemoryprovider.so

ac60c000-ac60d000 r--p 0000c000 08:01 1053726  /usr/lib/ggis/plugins/libmemoryprovider.soAborted (core dumped)

#6 - 2013-04-24 07:17 AM - Laurentiu Mihai
- Status changed from Feedback to Closed

Work if delete all object where geometry is NULL.
